package com.guams.review.modele;

import com.fasterxml.jackson.annotation.JsonIgnore;
import jakarta.persistence.*;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

@Entity
@Getter
@Table(name = "POST")
public class Post
{
    @Id()
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;
    @Column(name = "TITLE", nullable = false)
    private String title;
    @Column(name = "BODY", nullable = false)
    private String body;
    @Column(name = "IMAGE")
    private String image;
    @ManyToOne
    @JoinColumn(name = "USER_ID", nullable = false)
    @JsonIgnore // Pour pas avoir un json infini
    private User user;

    public Post()
    {}


    public Post setId(Long id) {
        this.id = id;
        return this;
    }

    public Post setTitle(String title) {
        this.title = title;
        return this;
    }

    public Post setBody(String body) {
        this.body = body;
        return this;
    }

    public Post setImage(String image) {
        this.image = image;
        return this;
    }

    public Post setUser(User user) {
        this.user = user;
        return this;
    }
}
