package com.guams.review.service;

import com.guams.review.modele.Post;
import com.guams.review.modele.User;
import com.guams.review.repository.UserRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;

@Service
public class UserService
{
    private final UserRepository userRepository;

    @Autowired
    public UserService(UserRepository userRepository) {
        this.userRepository = userRepository;
    }

    public List<User> getUsers()
    {
        return userRepository.findAll();
    }

    public void saveUser(User user)
    {
        userRepository.save(user);
    }

    public Optional<User> findById(Long id)
    {
        return userRepository.findById(id);
    }

}
